local ADDON_NAME = "HideBoundItems"
local EM = GetEventManager()

local function OnAddOnLoaded(_, addOnName)
	if addOnName == ADDON_NAME then
		local LF = LibFilters3
		LF:InitializeLibFilters()

		local filterCallback = function(slot)
			return not IsItemBound(slot.bagId, slot.slotIndex)
		end

		local function OnOpenGuildBank()
			LF:RegisterFilter(ADDON_NAME, LF_GUILDBANK_DEPOSIT, filterCallback)
			LF:RequestUpdate(LF_GUILDBANK_DEPOSIT)
		end

		local function OnCloseGuildBank()
			LF:UnregisterFilter(ADDON_NAME, LF_GUILDBANK_DEPOSIT)
			LF:RequestUpdate(LF_GUILDBANK_DEPOSIT)
		end

		EM:RegisterForEvent(ADDON_NAME, EVENT_OPEN_GUILD_BANK, OnOpenGuildBank)
		EM:RegisterForEvent(ADDON_NAME, EVENT_CLOSE_GUILD_BANK, OnCloseGuildBank)

		EM:UnregisterForEvent(ADDON_NAME, EVENT_ADD_ON_LOADED)
	end
end

EM:RegisterForEvent(ADDON_NAME, EVENT_ADD_ON_LOADED, OnAddOnLoaded)